-- name: \\#FFFFFF\\[CS] Skeleton
-- description: What better way to celebrate Halloween than to open up SM64CoopDX and activate the cadaver skin?

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_SKLL = smlua_model_util_get_id("cadaver_geo")

local TEX_SKLL = get_texture_info("cadaver-icon")

local TEXT_MOD_NAME = "Skeleton"




local CAPTABLE_SKLL = {
    normal = smlua_model_util_get_id("skull_hat_geo"),
    wing = smlua_model_util_get_id("skull_hat_geo"),
    metal = smlua_model_util_get_id("skull_hat_geo"),
    metalWing = smlua_model_util_get_id("skull_hat_geo"),
}

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Skeleton", {"Man I'm dead."}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_SKLL, CT_MARIO, TEX_SKLL)
    _G.charSelect.character_add_caps(E_MODEL_SKLL, CAPTABLE_SKLL)

 
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end